<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

require_once('../class/Certificates.php');
$certificate = new Certificates();

if($_GET['api_key']){
    $token = $_GET['api_key'];
    $data = json_decode(file_get_contents("php://input"));
    
    if(!empty($data->shin)){ 
    	
    	$certificate->id = $data->shin; 
    	$certificate->certificate_id = $data->certificate_id;
    	$certificate->validation_code = $data->validation_code;
    	$certificate->validated_username = $data->validated_username;
    	$certificate->is_previously_certified = $data->is_previously_certified;
    	$certificate->issue_to_name_1 = $data->issue_to_name_1;
    	$certificate->issued_to_name_2 = $data->issued_to_name_2;
    	$certificate->issued_to_company_name = $data->issued_to_company_name;
    	$certificate->issued_to_address_1 = $data->issued_to_address_1;
    	$certificate->issued_to_address_2 = $data->issued_to_address_2;
    	$certificate->issued_to_city = $data->issued_to_city;
    	$certificate->issued_to_state = $data->issued_to_state;
    	$certificate->issued_to_zip = $data->issued_to_zip;
    	$certificate->issued_to_email = $data->issued_to_email;
    	$certificate->issued_to_phone = $data->issued_to_phone;
    	$certificate->issued_to_govt_id_number = $data->issued_to_govt_id_number;
    	$certificate->issued_to_govt_id_type_or_state_of_issue = $data->issued_to_govt_id_type_or_state_of_issue;
    	$certificate->issued_by_name_1 = $data->issued_by_name_1;
    	$certificate->issued_by_name_2 = $data->issued_by_name_2;
    	$certificate->issued_by_company_name = $data->issued_by_company_name;
    	$certificate->issued_by_address_1 = $data->issued_by_address_1;
    	$certificate->issued_by_city = $data->issued_by_city;
    	$certificate->issued_by_state = $data->issued_by_state;
    	$certificate->issued_by_zip = $data->issued_by_zip;
    	$certificate->issued_by_email = $data->issued_by_email;
    	$certificate->issued_by_phone = $data->issued_by_phone;
    	$certificate->issued_by_govt_id_number = $data->issued_by_govt_id_number;
    	$certificate->issued_by_govt_id_type_or_state_of_issue = $data->issued_by_govt_id_type_or_state_of_issue;
    	$certificate->issued_by_digital_signature_blob = $data->issued_by_digital_signature_blob;
    	$certificate->issued_by_logo_url = $data->issued_by_logo_url;
    	$certificate->certificate_notes = $data->certificate_notes;
    	$certificate->original_certificate_pdf_url = $data->original_certificate_pdf_url;
    	$certificate->token = $token;
        $certificate->time_of_certificate_creation = date('Y-m-d H:i:s'); 
  
    	if($certificate->own()){     
    		http_response_code(200); 
    		echo json_encode(array("message" => "SHIN: Certificate Generated."));
    	}else{    
    		http_response_code(503); 
    		echo json_encode(array("message" => "SHIN: Unable to generate certificate."));
    	}
    	
    } else {
    	http_response_code(400);    
        echo json_encode(array("message" => "SHIN: Unable to generate certificate. Data is incomplete."));
    }
}else{
    http_response_code(400);    
    echo json_encode(array("message" => "SHIN: Please provide a token."));
}

?>