<?php
require_once('../config/MysqliDb.php');

class Certificates{   
		
	function own(){
	    global $db;
	    
	    //check if token exists if not return error message
	    $db->where ("api_key", $this->token);
        $tokenExist = $db->getOne ("shedhub_api_users"); 
        
        if($tokenExist){
            //certificate id = SHIN-000
            //validation code = 4 Letters+Digits
            
            $db->where ("shedhub_id", $this->id);
            $certCounter = $db->getOne ("certificates_of_ownership", "count(*) as cnt"); 
            $certID = str_pad($certCounter['cnt'], 3, '0', STR_PAD_LEFT);
            $certID = $this->id.'-'.$certID;
            $length = 4;    
            $valCode = substr(str_shuffle('0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ'),1,$length);
        
            $data = Array (
            	'shedhub_id' => $this->id, 
            	'certificate_id' => $certID, 
            	'certificate_validation_code' => $valCode, 
            	'certificate_vailidated_by_this_user_name' => $this->certificate_vailidated_by_this_user_name,
            	'certificate_issued_for_this_shid_previously' => $this->certificate_issued_for_this_shid_previously, 
            	'issued_to_name_1' => $this->issued_to_name_1, 
            	'issued_to_name_2' => $this->issued_to_name_2, 
            	'issued_to_company_name' => $this->issued_to_company_name, 
            	'issued_to_address_1' => $this->issued_to_address_1, 
            	'issued_to_address_2' => $this->issued_to_address_2, 
            	'issued_to_city' => $this->issued_to_city, 
            	'issued_to_state' => $this->issued_to_state, 
            	'issued_to_zip' => $this->issued_to_zip, 
            	'issued_to_email' => $this->issued_to_email,
            	'issued_to_phone' => $this->issued_to_phone, 
            	'issued_to_govt_id_number' => $this->issued_to_govt_id_number, 
            	'issued_to_govt_id_type_or_state_of_issue' => $this->issued_to_govt_id_type_or_state_of_issue, 
            	'issued_by_name_1' => $this->issued_by_name_1, 
            	'issued_by_name_2' => $this->issued_by_name_2, 
            	'issued_by_company_name' => $this->issued_by_company_name, 
            	'issued_by_address_1' => $this->issued_by_address_1, 
            	'issued_by_city' => $this->issued_by_city, 
            	'issued_by_state' => $this->issued_by_state, 
            	'issued_by_zip' => $this->issued_by_zip, 
            	'issued_by_email' => $this->issued_by_email, 
            	'issued_by_phone' => $this->issued_by_phone, 
            	'issued_by_govt_id_number' => $this->issued_by_govt_id_number, 
            	'issued_by_govt_id_type_or_state_of_issue' => $this->issued_by_govt_id_type_or_state_of_issue,
            	'issued_by_digital_signature_blob' => $this->issued_by_digital_signature_blob, 
            	'issued_by_logo_url' => $this->issued_by_logo_url, 
            	'certificate_notes' => $this->certificate_notes, 
            	'original_certificate_pdf_url' => $this->original_certificate_pdf_url, 
            	'time_of_certificate_creation' => $this->time_of_certificate_creation
            );
            
            $id = $db->insert ('certificates_of_ownership', array_filter($data));
            
            if ($id){
               return true;
            }else{
              return false;
            }
            
        }else{
            return json_encode(array("message" => "SHIN: Not a valid token."));
        }
	    
	}
}
?>