
<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

require_once('../class/Trackings.php');
$items = new Trackings();

if($_GET['api_key']){
    $token = $_GET['api_key'];
    $data = json_decode(file_get_contents("php://input"));

    if(!empty($data->shin)){ 

    	$items->id = $data->shin; 
    	$items->line_item_voided = $data->line_item_voided;
    	$items->username = $data->username;
    	$items->realname = $data->realname;
    	$items->description = $data->description;
    	$items->code_number = $data->code_number;
		$items->identifier = $data->identifier;
    	$items->associated_document_or_image_url = $data->image_url;
    	$items->update_method_device = $data->update_method_device;
        $items->created = date('Y-m-d H:i:s'); 
    	$items->token = $token;
    	
    	if($items->own()){     
    		http_response_code(200);   
    		echo json_encode(array("message" => "SHIN: Tracked Data."));
    	}else{    
    		http_response_code(503);     
    		echo json_encode(array("message" => "SHIN: Unable to saved tracking history."));
    	}
    	
    } else {
    	http_response_code(400);    
        echo json_encode(array("message" => "Unable to saved tracking history. Data is incomplete."));
    }
}else{
    http_response_code(400);    
    echo json_encode(array("message" => "SHIN: Please provide a token."));
}
?>