<?php
require_once('../config/MysqliDb.php');

class Trackings{   
		
	function own(){
	    global $db;
	    global $db2;
	    
	    //check if token exists if not return error message
	    $db->where ("api_key", $this->token);
        $tokenExist = $db->getOne ("shedhub_api_users"); 
        
        if($tokenExist){
            
            if(filter_var($this->update_method_device, FILTER_VALIDATE_IP) !== false) {
                // is an ip
                $update_method = 'Link click by web user';
            } else {
                // is not an ip
                $update_method = 'PhonePrompt';
            }
                    
            $data = Array (
            	'LineItemVoided'=> $this->line_item_voided, 
                'updated_by_username'=> $this->username, 
                'updated_by_real_name'=> $this->realname, 
                'description_text_string' => $this->description, 
                'description_code_number' => $this->code_number, 
                'date_time_of_update' => $this->created, 
                'shid' => $this->id, 
                'other_unique_identifier' => $this->identifier, 
                'allow_public_viewing' => 1, 
                'allow_any_customer_viewing' => 1, 
                'allow_current_cutomer_viewing' => 1,
                'allow_original_manufacturer_viewing' => 1,
                'allow_any_finance_company_viewing' => 1,
                'allow_current_finance_company_viewing' => 1,
                'allow_any_driver_viewing' => 1, 
                'allow_all_driver_viewing' => 1, 
                'allow_any_seller_viewing' => 1, 
                'allow_current_seller_viewing' => 1, 
                'update_method' => $update_method, 
                'update_method_device_ip_address' => $this->update_method_device, 
                'is_this_an_error_message' => 0, 
                'associated_manufacturer_id' => 1, 
                'associated_document_or_image_url' => $this->associated_document_or_image_url,
                'source_of_tracking_data'=> '1.0 to 2.0 every 5 min cron job'
            	
            );
            
            $id = $db2->insert ('status_updates', array_filter($data));
            
            if ($id){
               return true;
            }else{
              return false;
            }
            
        }else{
            return json_encode(array("message" => "SHIN: Not a valid token."));
        }
	    
	}
}
?>