<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

require_once('../class/Items.php');
$items = new Items();

if($_GET['api_key']){
    $token = $_GET['api_key'];
    $data = json_decode(file_get_contents("php://input"));
    
    if(!empty($data->shin) && !empty($data->brand_name) && !empty($data->brand_id)){ 
    	
    	$items->id = $data->shin; 
    	$items->name = $data->brand_name;
    	$items->brand_id = $data->brand_id;
    	$items->token = $token;
        $items->created = date('Y-m-d H:i:s'); 
    	
    	
    	if($items->assign()){     
    		http_response_code(200);   
    		echo $items->assign();
    	}else{    
    		http_response_code(503);     
    		echo $items->assign();
    	}
    	
    } else {
    	http_response_code(400);    
        echo json_encode(array("message" => "SHIN: Unable to assign a brand. Data is incomplete."));
    }
}else{
    http_response_code(400);    
    echo json_encode(array("message" => "SHIN: Please provide a token."));
}

?>