<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

require_once('../class/Items.php');
$items = new Items();

if($_GET['api_key']){
    $token = $_GET['api_key'];
    $data = json_decode(file_get_contents("php://input"));

    if(!empty($data->shin)){ 
    	
    	$items->id = $data->shin; 
    	$items->name = $data->username;
    	$items->manufacturer_name = $data->manufacturer;
    	$items->manufacturer_username_name = $data->manufacturer_username;
    	$items->width = $data->width;
    	$items->height = $data->height;
		$items->length = $data->length;
		$items->manufacturer_frame_style = $data->manufacturer_frame_style;
		$items->standard_frame_style = $data->standard_frame_style;
		$items->sliding_material_1 = $data->sliding_material_1;
		$items->sliding_material_2 = $data->sliding_material_2;
		$items->sliding_color = $data->sliding_color;
		$items->roof_color = $data->roof_color;
		$items->roof_material = $data->roof_material;
		$items->trim_color = $data->trim_color;
		$items->door_color = $data->door_color;
		$items->photo_url = $data->photo_url;
		$items->shed_description_url = $data->shed_description_url;
		$items->shed_description_text = $data->shed_description_text;
		$items->manufacturer_id = $data->manufacturer_id;
        $items->created = date('Y-m-d H:i:s'); 
    	$items->token = $token;
    	
    	if($items->tag()){     
    		http_response_code(200);   
    		//echo $items->tag();
    		echo json_encode(array("message" => "SHIN: Tagged."));
    	}else{    
    		http_response_code(503);     
    		echo json_encode(array("message" => "SHIN: Unable to tag."));
    		//echo $items->tag();
    	}
    	
    } else {
    	http_response_code(400);    
        echo json_encode(array("message" => "Unable to tag SHIN. Data is incomplete."));
    }
}else{
    http_response_code(400);    
    echo json_encode(array("message" => "SHIN: Please provide a token."));
}
?>