<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

require_once('../class/Tokens.php');
$tokens = new Tokens();
$data = json_decode(file_get_contents("php://input"));

if(!empty($data->username) && !empty($data->key)){ 
	
	$tokens->username = $data->username; 
	$tokens->keygenerator = $data->key;
	
	
	if($tokens->generate()){     
		http_response_code(200);   
		//echo json_encode();
		echo json_encode(array("message" => "Token Generated: ".$tokens->generate()));
	}else{    
		http_response_code(503);     
		echo json_encode(array("message" => "Error! Token not generated. Please check the given key OR make you don't make duplicate token under one username."));
	}
	
} else {
	http_response_code(400);    
    echo json_encode(array("message" => "Unable to generate token. Data is incomplete."));
}
?>